Bug 74122 - cluadmin doesn't handle SIGHUP
cluadmin doesn't handle SIGHUP
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: clumanager (Show other bugs)
2.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-16 11:09 EDT by Lon Hohberger
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-16 11:17:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lon Hohberger 2002-09-16 11:09:32 EDT
Description of Problem: killall -HUP cluadmin causes session lock to not be
freed when cluadmin exits.

Version-Release number of selected component (if applicable): Post 1.0.11
CVS/Development

How Reproducible: Always

Steps to Reproduce:
1. Run cluadmin
2. Log in to a second terminal.
3. Type 'killall -HUP cluadmin'
4. Run cluadmin again.

Actual Results: Session lock left hanging around.

Expected Results: Clean entry during second instance of cluadmin.
Comment 1 Lon Hohberger 2002-09-19 11:10:58 EDT
Fix in pool.

Note You need to log in before you can comment on or make changes to this bug.